/**   
* @Title: Epay.java 
* @Package com.platform.pojo 
* @Description: TODO(用一句话描述该文件做什么) 
* @author kiosk
* @date 2017年8月10日 上午10:15:55 
* @version V1.0   
*/
package com.platform.pojo;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;  
import javax.xml.bind.annotation.XmlAccessorType;  
import javax.xml.bind.annotation.XmlElement;  
import javax.xml.bind.annotation.XmlElementWrapper;  
import javax.xml.bind.annotation.XmlRootElement;  
import javax.xml.bind.annotation.XmlType;  

/** 
 * @ClassName: Epay 
 * @Description: TODO(这里用一句话描述这个类的作用) 
 * @author kiosk
 * @date 2017年8月10日 上午10:15:55 
 *  
 */
@XmlAccessorType(XmlAccessType.FIELD)  
@XmlRootElement(name = "epay") 
@XmlType(propOrder = { "retcode","retmsg","date","count","money", "itemList" })
public class Epay {
	
	@XmlElement(name = "retcode") 
	private String retcode;//返回码
	@XmlElement(name = "retmsg") 
	private String retmsg;//返回信息
	@XmlElement(name = "date") 
	private String date;//查询日期
	@XmlElement(name = "count") 
	private int count;//总条数
	@XmlElement(name = "money") 
	private float money;//总金额
	
	@XmlElementWrapper(name = "items")  
    @XmlElement(name = "item") 
	private List<Item> itemList;


	/**
	 * @return the retcode
	 */
	public String getRetcode() {
		return retcode;
	}


	/**
	 * @param retcode the retcode to set
	 */
	public void setRetcode(String retcode) {
		this.retcode = retcode;
	}


	/**
	 * @return the retmsg
	 */
	public String getRetmsg() {
		return retmsg;
	}


	/**
	 * @param retmsg the retmsg to set
	 */
	public void setRetmsg(String retmsg) {
		this.retmsg = retmsg;
	}


	/**
	 * @return the date
	 */
	public String getDate() {
		return date;
	}


	/**
	 * @param date the date to set
	 */
	public void setDate(String date) {
		this.date = date;
	}


	/**
	 * @return the count
	 */
	public int getCount() {
		return count;
	}


	/**
	 * @param count the count to set
	 */
	public void setCount(int count) {
		this.count = count;
	}


	/**
	 * @return the money
	 */
	public float getMoney() {
		return money;
	}


	/**
	 * @param money the money to set
	 */
	public void setMoney(float money) {
		this.money = money;
	}


	/**
	 * @return the itemList
	 */
	public List<Item> getItemList() {
		return itemList;
	}


	/**
	 * @param itemList the itemList to set
	 */
	public void setItemList(List<Item> itemList) {
		this.itemList = itemList;
	}
	
	
}
